View Issue Details

IDProjectCategoryView StatusLast Update
0017667LazarusLCLpublic2011-12-01 11:24
ReporterJohn vd WaeterAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0017667: WinCE - [Regression] back-key no longer works on KeypadDevice
DescriptionHi Felipe!

I think a regression from bug 0016699.
The back-key on a keypaddevice no longer works as backspace-key in a TEdit.
It does actually nothing.
I rebuild my old project with todays snapshot and the backspace function was gone. It used to work with a snapshot from july 2010. Looking back in my older snapshots I can see that it already stopped working in rev 27226 from august 29.

regards
John
TagsNo tags attached.
Fixed in Revision27790
LazTarget0.9.30
WidgetsetWinCE
Attached Files

Relationships

related to 0016699 closedFelipe Monteiro de Carvalho WinCE: On Smartphone the Back-key is not treated as Backspace in TEdit 

Activities

Felipe Monteiro de Carvalho

2010-10-21 11:59

developer   ~0041954

Last edited: 2010-10-21 12:50

It works in rev26841, 27000, 27030, 27040

Doesn't compile in 27050 till 27074. rev27075 fixed compilation

Doesn't work in rev27100, 27080

I think that 27042 broke it:

http://svn.freepascal.org/cgi-bin/viewvc.cgi?view=rev&root=lazarus&revision=27042

John vd Waeter

2010-10-22 21:02

reporter   ~0042004

Backspace seems to work in TEdit
Other things I could not test very well. The codetools cannot find actionlist, menus etc etc.

Issue History

Date Modified Username Field Change
2010-10-19 19:41 John vd Waeter New Issue
2010-10-19 19:41 John vd Waeter Widgetset => WinCE
2010-10-21 07:55 Felipe Monteiro de Carvalho Relationship added related to 0016699
2010-10-21 07:56 Felipe Monteiro de Carvalho Status new => assigned
2010-10-21 07:56 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2010-10-21 08:03 Felipe Monteiro de Carvalho LazTarget => 0.9.30
2010-10-21 11:59 Felipe Monteiro de Carvalho Note Added: 0041954
2010-10-21 12:44 Felipe Monteiro de Carvalho Note Edited: 0041954
2010-10-21 12:50 Felipe Monteiro de Carvalho Note Edited: 0041954
2010-10-21 13:11 Felipe Monteiro de Carvalho Fixed in Revision => 27790
2010-10-21 13:11 Felipe Monteiro de Carvalho Status assigned => resolved
2010-10-21 13:11 Felipe Monteiro de Carvalho Fixed in Version => 0.9.29 (SVN)
2010-10-21 13:11 Felipe Monteiro de Carvalho Resolution open => fixed
2010-10-22 21:02 John vd Waeter Note Added: 0042004
2011-12-01 11:24 Marc Weustink Status resolved => closed